.navbar {
    --bs-navbar-nav-link-padding-x: var(--space-x);
}

.navbar .nav-item+.nav-item {
    margin-left: 1.25rem;
}

.left-menu ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

.left-menu>ul:last-child {
    padding: var(--default-space) 0;
}

.left-menu>ul:last-child li+li {
    margin-top: 5px;
}

.left-menu>ul>li.has-submenu {
    padding: var(--default-space);
    border-bottom: 1px solid var(--bs-border-color);
    position: relative;
    display: flex;
    flex-direction: row;
    gap: 5px;
    flex-wrap: wrap;
}

.left-menu>ul>li a {
    display: block;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    flex-grow: 1;
    color: var(--text-dark-color);
    text-decoration: none;
    padding-top: calc(var(--space-y)/2);
    padding-bottom: calc(var(--space-y)/2);
    padding-left: var(--space-y);
    padding-left: calc(var(--space-x)/2);
    padding-right: calc(var(--space-x)/2);
    border-radius: var(--bs-border-radius);
    transition: all var(--default-animation-time) ease-in-out;
}

.left-menu>ul>li a:hover,
.left-menu>ul>li a.active {
    color: var(--primary-color);
}

.left-menu>ul>li.has-submenu::before {
    content: "";
    width: 19px;
    height: 19px;
    background-color: var(--gray-bg);
    background-image: url(../../images/icons/down-w-arrow.svg);
    background-repeat: no-repeat;
    background-size: auto 60%;
    background-position: center;
    border-radius: 50%;
    margin-top: 5px;
}

.left-menu>ul>li.has-submenu:hover::before,
.left-menu>ul>li.has-submenu.active::before {
    background-color: var(--primary-color);
}

.left-menu>ul>li.has-submenu.active::before {
    rotate: -180deg;
}

.left-menu>ul>li.has-submenu>ul {
    width: 100%;
    border-left: 1px solid var(--bs-border-color);
    padding-left: var(--default-space);
    margin-left: calc(var(--default-space)/2.2);
    margin-top: calc(var(--default-space) * -1/2);
    padding-top: calc(var(--default-space)/2);
}

.left-menu>ul>li.has-submenu>ul>li {
    position: relative;
}

.left-menu>ul>li.has-submenu>ul>li:last-child::after {
    content: "";
    position: absolute;
    left: calc(var(--default-space)* -1.1);
    width: 3px;
    height: 20px;
    top: 16px;
    background-color: var(--light-bg);
}

.left-menu>ul>li.has-submenu>ul>li+li {
    margin-top: 5px;
}

.left-menu>ul>li.has-submenu>ul>li::before {
    content: "";
    position: absolute;
    left: calc(var(--default-space) * -1);
    top: 15px;
    width: var(--default-space);
    height: 1px;
    background-color: var(--bs-border-color);
}

.left-menu>ul>li:not(.has-submenu) {
    padding: 3px var(--default-space);
}

.left-menu>ul>li:not(.has-submenu)>a {
    display: flex;
    gap: 10px;
    align-items: center;
}

.left-menu>ul>li:not(.has-submenu)>a .icon-img {
    width: var(--default-icon-size);
}

.left-menu>ul>li:not(.has-submenu)>a:hover .icon-img {
    filter: brightness(0) saturate(100%) invert(32%) sepia(96%) saturate(363%) hue-rotate(57deg) brightness(97%) contrast(94%);
}

.navbar .navbar-nav{
    align-items: center;
}

.navbar .nav-item.request-btn .nav-link {
    background-color: var(--primary-color);
    color: #fff;
    height: 40px;
    padding-left: 24px;
    padding-right: 24px;
    border-radius: 20px;
}

.navbar-nav .nav-link.active, .navbar-nav .nav-link.show,
.nav-link:focus, .nav-link:hover{
    color: #fff;
}

@media only screen and (max-width: 992px) {
    body.menu-open {
        overflow: hidden;
    }

    #menu-panel {
        flex-direction: column !important;
        align-items: stretch !important;
        position: fixed;
        top: 0;
        bottom: 0;
        right: calc(var(--mobile-menu-size) * -1);
        z-index: 999;
        background-color: var(--bs-black);
        width: var(--mobile-menu-size);
        padding: var(--default-space);
        transition: right var(--sm-animation-time) ease-in-out;
        display: flex !important;
    }

    .menu-open #menu-panel {
        right: 0;
    }

    #menu-panel .navbar {
        justify-content: flex-start;
        padding: 0;
        display: block;
    }

    #menu-panel .navbar::before {
        display: none;
    }

    #menu-panel .d-flex {
        margin-top: auto;
        margin-left: 0 !important;
    }

    #menu-panel .d-flex .btn {
        width: 100%;
    }

    #menu-panel .nav-link {
        color: var(--bs-white);
        width: 100%;
        justify-content: flex-start;
        background-color: rgba(255, 255, 255, 0.1);
        padding-left: var(--space-x);
        padding-right: var(--space-x);
    }

    #menu-panel .nav-link:hover {
        background-color: var(--primary-bg);
    }

    #menu-panel.navbar .nav-item+.nav-item {
        margin-left: 0;
        margin-top: var(--space-y);
    }

    .left-menu>ul>li:not(.has-submenu)>a .icon-img,
    .left-menu>ul>li:not(.has-submenu)>a:hover .icon-img {
        filter: brightness(0) invert(1);
    }

    .left-menu>ul>li.has-submenu>ul>li:last-child::after {
        background-color: var(--primary-bg);
    }
}

/* @media only screen and (min-width: 1200px) {
    .offcanvas {
        display: none !important;
    }

    .offcanvas-backdrop {
        display: none !important;
    }
} */

.offcanvas.offcanvas-start {
    --bs-offcanvas-color: var(--bs-white);
    --bs-offcanvas-width: var(--mobile-menu-size);
    top: 0;
    left: 0;
    width: var(--bs-offcanvas-width);
    border-right: 0;
    transform: translateX(-100%);
    background-color: var(--primary-bg);
    top: var(--header-size);
}

.offcanvas.offcanvas-start :is(h1, h2, h3, h4, h5) {
    color: var(--bs-offcanvas-color);
}

.offcanvas-backdrop {
    top: var(--header-size);
}

.offcanvas .btn.btn-invite {
    min-width: 0;
}

.offcanvas .left-menu>ul>li a {
    color: var(--bs-white);
}

.offcanvas .left-menu>ul>li.has-submenu::before {
    background-color: var(--bs-white);
    background-image: url(../../images/icons/down-g-arrow.svg);
}

.offcanvas .left-menu>ul>li a:hover,
.offcanvas .left-menu>ul>li a.active {
    background-color: rgba(255, 255, 255, 0.1);
}

.offcanvas .offcanvas-body .nav-link{
    color: var(--bs-white);
    height: var(--btn-size);
}

.offcanvas .offcanvas-body .nav-link.active{
    color: var(--bs-secondary) !important;
}

